Bug 261928 - Crash when changing logfiles monitor
Summary: Crash when changing logfiles monitor
Status: RESOLVED FIXED
Alias: None
Product: ksysguard
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KSysGuard Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-03 07:29 UTC by Adam Porter
Modified: 2011-12-04 07:52 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Porter 2011-01-03 07:29:25 UTC
Application: ksysguard (4.5.4 (KDE 4.5.4))
KDE Platform Version: 4.5.4 (KDE 4.5.4)
Qt Version: 4.7.0
Operating System: Linux 2.6.37-020637rc8-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:
1.  New tab
2.  Drag "messages (logfile)" to empty sensor holder
3.  Right-click->Properties
4.  Resize settings window
5.  Click "Change"
6.  It crashes.

-- Backtrace:
Application: System Monitor (ksysguard), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f0067ce7760 (LWP 4287))]

Thread 2 (Thread 0x7f0050cdb700 (LWP 4290)):
#0  0x00007f005e2620ee in g_main_context_release () from /lib/libglib-2.0.so.0
#1  0x00007f005e26403b in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f005e26445c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f00652711e6 in QEventDispatcherGlib::processEvents (this=0xff71b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:417
#4  0x00007f0065243a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f0065243dec in QEventLoop::exec (this=0x7f0050cdadb0, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f006514e2fd in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:490
#7  0x00007f00652235f8 in QInotifyFileSystemWatcherEngine::run (this=0xffba90) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f006515127e in QThreadPrivate::start (arg=0xffba90) at thread/qthread_unix.cpp:266
#9  0x00007f005fe1e971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#10 0x00007f00675ec92d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f0067ce7760 (LWP 4287)):
[KCrash Handler]
#6  setText (this=0x127d7e0) at /usr/include/qt4/QtGui/qlistwidget.h:174
#7  LogFile::settingsChangeRule (this=0x127d7e0) at ../../../ksysguard/gui/SensorDisplayLib/LogFile.cc:138
#8  0x00007f00678cc8fc in LogFile::qt_metacall (this=0x127d7e0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffadd24760) at ./LogFile.moc:86
#9  0x00007f006525cb27 in QMetaObject::activate (sender=0x114d190, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xfffffffffffd2550) at kernel/qobject.cpp:3280
#10 0x00007f0064c89402 in QAbstractButton::clicked (this=0x11f5840, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#11 0x00007f0064983eeb in QAbstractButtonPrivate::emitClicked (this=0x127d4d0) at widgets/qabstractbutton.cpp:546
#12 0x00007f00649855bb in QAbstractButtonPrivate::click (this=0x127d4d0) at widgets/qabstractbutton.cpp:539
#13 0x00007f006498582c in QAbstractButton::mouseReleaseEvent (this=0x114d190, e=0x7fffadd250b0) at widgets/qabstractbutton.cpp:1121
#14 0x00007f006460204e in QWidget::event (this=0x114d190, event=0x7fffadd250b0) at kernel/qwidget.cpp:8187
#15 0x00007f00645abfdc in QApplicationPrivate::notify_helper (this=0xcfabb0, receiver=0x114d190, e=0x7fffadd250b0) at kernel/qapplication.cpp:4396
#16 0x00007f00645b230e in QApplication::notify (this=0xcfaae0, receiver=0x114d190, e=0x7fffadd250b0) at kernel/qapplication.cpp:3959
#17 0x00007f0065ee2576 in KApplication::notify (this=0xcfaae0, receiver=0x114d190, event=0x7fffadd250b0) at ../../kdeui/kernel/kapplication.cpp:310
#18 0x00007f0065244cdc in QCoreApplication::notifyInternal (this=0xcfaae0, receiver=0x114d190, event=0x7fffadd250b0) at kernel/qcoreapplication.cpp:732
#19 0x00007f00645b0dbe in sendEvent (receiver=0x114d190, event=0x7fffadd250b0, alienWidget=0x114d190, nativeWidget=0x7fffadd25d70, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#20 QApplicationPrivate::sendMouseEvent (receiver=0x114d190, event=0x7fffadd250b0, alienWidget=0x114d190, nativeWidget=0x7fffadd25d70, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:3058
#21 0x00007f0064634345 in QETWidget::translateMouseEvent (this=0x7fffadd25d70, event=<value optimized out>) at kernel/qapplication_x11.cpp:4403
#22 0x00007f0064632c5c in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffadd259d0) at kernel/qapplication_x11.cpp:3536
#23 0x00007f006465f0e2 in x11EventSourceDispatch (s=0xcfe9f0, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#24 0x00007f005e260342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#25 0x00007f005e2642a8 in ?? () from /lib/libglib-2.0.so.0
#26 0x00007f005e26445c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#27 0x00007f0065271193 in QEventDispatcherGlib::processEvents (this=0xce3350, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#28 0x00007f006465ea4e in QGuiEventDispatcherGlib::processEvents (this=0x11f5840, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#29 0x00007f0065243a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#30 0x00007f0065243dec in QEventLoop::exec (this=0x7fffadd25d00, flags=) at kernel/qeventloop.cpp:201
#31 0x00007f0064aa07de in QDialog::exec (this=0x7fffadd25d70) at dialogs/qdialog.cpp:552
#32 0x00007f00678ce079 in LogFile::configureSettings (this=0x127d7e0) at ../../../ksysguard/gui/SensorDisplayLib/LogFile.cc:114
#33 0x00007f00678b144d in KSGRD::SensorDisplay::showContextMenu (this=0x127d7e0, pos=<value optimized out>) at ../../../ksysguard/gui/SensorDisplayLib/SensorDisplay.cc:136
#34 0x00007f00678b14b9 in KSGRD::SensorDisplay::qt_metacall (this=0x127d7e0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffadd260f0) at ./SensorDisplay.moc:95
#35 0x00007f00678cc890 in LogFile::qt_metacall (this=0x11f5840, _c=18831424, _id=1695345088, _a=0xfffffffffffd2550) at ./LogFile.moc:77
#36 0x00007f006525cb27 in QMetaObject::activate (sender=0x10eb200, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xfffffffffffd2550) at kernel/qobject.cpp:3280
#37 0x00007f00645f5482 in QWidget::customContextMenuRequested (this=0x11f5840, _t1=<value optimized out>) at .moc/release-shared/moc_qwidget.cpp:360
#38 0x00007f0064602412 in QWidget::event (this=0x10eb200, event=0x7fffadd26ca0) at kernel/qwidget.cpp:8357
#39 0x00007f00649cd5e6 in QFrame::event (this=0x10eb200, e=0x7fffadd26ca0) at widgets/qframe.cpp:557
#40 0x00007f0064b06a8b in QAbstractItemView::viewportEvent (this=0x10eb200, event=0x7fffadd26ca0) at itemviews/qabstractitemview.cpp:1619
#41 0x00007f0065244507 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>, receiver=0x10b1bb0, event=0x7fffadd26ca0) at kernel/qcoreapplication.cpp:847
#42 0x00007f00645abfac in QApplicationPrivate::notify_helper (this=0xcfabb0, receiver=0x10b1bb0, e=0x7fffadd26ca0) at kernel/qapplication.cpp:4392
#43 0x00007f00645b1cd1 in QApplication::notify (this=0xcfaae0, receiver=0x10b1bb0, e=0x7fffadd26ca0) at kernel/qapplication.cpp:4038
#44 0x00007f0065ee2576 in KApplication::notify (this=0xcfaae0, receiver=0x10b1bb0, event=0x7fffadd26ca0) at ../../kdeui/kernel/kapplication.cpp:310
#45 0x00007f0065244cdc in QCoreApplication::notifyInternal (this=0xcfaae0, receiver=0x10b1bb0, event=0x7fffadd26ca0) at kernel/qcoreapplication.cpp:732
#46 0x00007f0064634392 in QETWidget::translateMouseEvent (this=<value optimized out>, event=<value optimized out>) at kernel/qapplication_x11.cpp:4408
#47 0x00007f0064632c5c in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffadd275f0) at kernel/qapplication_x11.cpp:3536
#48 0x00007f006465f0e2 in x11EventSourceDispatch (s=0xcfe9f0, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#49 0x00007f005e260342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#50 0x00007f005e2642a8 in ?? () from /lib/libglib-2.0.so.0
#51 0x00007f005e26445c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#52 0x00007f0065271193 in QEventDispatcherGlib::processEvents (this=0xce3350, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#53 0x00007f006465ea4e in QGuiEventDispatcherGlib::processEvents (this=0x11f5840, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#54 0x00007f0065243a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#55 0x00007f0065243dec in QEventLoop::exec (this=0x7fffadd27920, flags=) at kernel/qeventloop.cpp:201
#56 0x00007f0065247ebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#57 0x00007f00678f5ea3 in kdemain (argc=<value optimized out>, argv=<value optimized out>) at ../../../ksysguard/gui/ksysguard.cc:582
#58 0x00007f0067524d8e in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffadd27ea8) at libc-start.c:226
#59 0x0000000000400669 in _start ()

Reported using DrKonqi
Comment 1 John Tapsell 2011-12-04 07:52:25 UTC
Git commit a7507ed282614be39b7ecb5816f0b2ca61f77b00 by John Tapsell.
Committed on 04/12/2011 at 08:50.
Pushed by johnflux into branch 'master'.

LogFile - Enable/Disable the Add/Change/Remove filter buttons depending on whether an item is selected etc

This fixes a crash when you click "Change" with nothing selected

BUG:261928

M  +18   -4    ksysguard/gui/SensorDisplayLib/LogFile.cpp
M  +1    -0    ksysguard/gui/SensorDisplayLib/LogFile.h

http://commits.kde.org/kde-workspace/a7507ed282614be39b7ecb5816f0b2ca61f77b00